edu.northwestern.at.morphadorner.tools.compareadornedfiles

## Class UpdateAdornedFile

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.compareadornedfiles.UpdateAdornedFile

-     public class UpdateAdornedFile
      extends java.lang.Object

  Update word elements in an adorned file using a change log.

  Usage:

        java edu.northwestern.at.morphadorner.tools.compareadornedfiles.UpdateAdornedFile operation oldadorned.xml changelog.xml newadorned.xml

  operation -- Update operation, either "update" to apply
  updates in changelog.xml to srcadorned.xml to
  produce destadorned.xml, or
  "revert" to undo updates in changelog.xml to
  srcadorned.xml to produce destadorned.xml .
  srcadorned.xml -- Source adorned file.
  changelog.xml -- Word differences between two adorned files.
  destadorned.xml -- Destination adorned file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateAdornedFile(boolean revert, java.lang.String srcAdornedFileName, java.lang.String changeLogFileName, java.lang.String destAdornedFileName, java.io.PrintStream printStream)` Create UpdateAdornedFile object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `displayHelp(java.io.PrintStream printStream)` Display usage/help.
    `static void` | `main(java.lang.String[] args)` Main program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateAdornedFile

          public UpdateAdornedFile(boolean revert,
                           java.lang.String srcAdornedFileName,
                           java.lang.String changeLogFileName,
                           java.lang.String destAdornedFileName,
                           java.io.PrintStream printStream)
                            throws java.lang.Exception

      Create UpdateAdornedFile object.
      Parameters:
        `revert` - true to revert changes, false to apply changes.
        `srcAdornedFileName` - Source adorned file to update/revert.
        `changeLogFileName` - Change log file.
        `destAdornedFileName` - Destination adorned file.
        `printStream` - Status output file stream. May be null to suppress output.
      Throws:
        `java.lang.Exception` - If any error occurs.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.

    - #### displayHelp

          public static void displayHelp(java.io.PrintStream printStream)

      Display usage/help.
      Parameters:
        `printStream` - Output stream on which to display help. May be null to suppress output.